local json = require("json")
local utils = require("utils")
local utils_device = require("utils_device")

utils.check_login()
utils.check_permission("DeviceManage")

local request_method = ngx.var.request_method

if ("GET" == request_method) then
    tuple_quanlity = utils_device.get_3tuple_quanlity()
    local res = {}
    res["FreeQuanlity"] = tuple_quanlity
    res["TotalQuanlity"] = tuple_quanlity
    res_raw = json.encode(res)
    utils.error_exit(200, res_raw)
end

utils.error_exit(400, "Invalid request method")

